Package org.apache.ignite.compute

## Enum ComputeJobResultPolicy

- java.lang.Object
- - java.lang.Enum<ComputeJobResultPolicy>
  - - org.apache.ignite.compute.ComputeJobResultPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<ComputeJobResultPolicy>`

      public enum ComputeJobResultPolicy
      extends Enum<ComputeJobResultPolicy>

  This enumeration provides different types of actions following the last received job result. See `ComputeTask.result(ComputeJobResult, List)` for more details.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILOVER` | Fail-over job to execute on another node.
    `REDUCE` | Ignore all not yet received results and start reducing results.
    `WAIT` | Wait for results if any are still expected.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static @Nullable ComputeJobResultPolicy` | `fromOrdinal​(byte ord)` | Efficiently gets enumerated value from its ordinal.
    `static ComputeJobResultPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ComputeJobResultPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WAIT

          public static final ComputeJobResultPolicy WAIT

      Wait for results if any are still expected. If all results have been received - it will start reducing results.

    - #### REDUCE

          public static final ComputeJobResultPolicy REDUCE

      Ignore all not yet received results and start reducing results.

    - #### FAILOVER

          public static final ComputeJobResultPolicy FAILOVER

      Fail-over job to execute on another node.

  - ### Method Detail

    - #### values

          public static ComputeJobResultPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComputeJobResultPolicy c : ComputeJobResultPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComputeJobResultPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable ComputeJobResultPolicy fromOrdinal​(byte ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.